void readDat()
{
  // Используем цикл для чтения данных с датчиков.
  // Датчики аналоговые, мы получаем с них значения в диапазоне от 0 до 1023
  // Затем мы переводим значения в цифровой вид 0 или 1, 0-белое 1-чёрное
  for (byte i = 0; i < 8; i++)
  {
    if (analogRead(port[i]) < 720)
    {
      zn_datch[i] = 0; // Если значения датчика < 700 (белое) присваиваем значение 0
    }
    else
    {
      zn_datch[i] = 1; // В остальных случаях (значения датчика >= 700 (чёрное) присваиваем значение 1
    }
  }

  Sum = 0; //обнуляем переменную содержащую сумму всех датчиков

  // Суммируем значения из массива, чтобы определить находятся ли датчики над черной линией
  // или сошли с нее в этом случае сумма будет равна 0
  for (int i = 0; i < 8; i++)
  {
    Sum += (zn_datch[i]);
  }
  
  // Проверяем значения на трёх левых датчиках
  if (zn_datch[0] == 1 && zn_datch[1] == 1 && zn_datch[2] == 1) // Если все датчики на чёрном
  {
    K = 1.0; // коэффициент поправки равен 1
  }
  else if (zn_datch[0] == 1 && zn_datch[1] == 1 && zn_datch[2] == 0) // Если два крайних на чёрном, а третий уже на белом
  {
    K = 2.0; // коэффициент поправки равен 2
  }
  else if (zn_datch[0] == 1 && zn_datch[1] == 0 && zn_datch[2] == 0) // Если крайний на чёрном, а второй и третий уже на белом
  {
    K = 3.0; // коэффициент поправки равен 3
  }
  

  // Проверяем значения на трёх правых датчиках
  if (zn_datch[5] == 1 && zn_datch[6] == 1 && zn_datch[7] == 1) // Если все датчики на чёрном
  {
    K = 1.0; // коэффициент поправки равен 1
  }
  else if (zn_datch[5] == 0 && zn_datch[6] == 1 && zn_datch[7] == 1) // Если два крайних на чёрном, а третий уже на белом
  {
    K = 2.0; // коэффициент поправки равен 2
  }
  else if (zn_datch[5] == 0 && zn_datch[6] == 0 && zn_datch[7] == 1) // Если крайний на чёрном, а второй и третий уже на белом
  {
    K = 3.0; // коэффициент поправки равен 3
  }

}


